**软件制作：落叶似秋**

**所属工作室：卧槽工作室**

**支持我们发展，给我们**[投食](#pay)**吧**

**衷心感谢已捐赠用户，你们的捐赠是我们更新的动力！捐款用于服务器的续费。**（[已捐赠用户](#donate)）

**加群反馈：**[卧槽工作室·落叶（点击此处加群）](http://jq.qq.com/?_wv=1027&k=2Jzi88M)


##【帮助】

**子曰在实现与对方聊天的同时也支持给对方手机执行一些命令。如果想要发送命令，必须以'$'号开头。**

例如：

``$ls /system/app``

### * shell的常用命令

**1.列出对方某个目录下的所有文件和目录**

``$ls 目录``

例如想列出对方内存卡的所有文件和目录：

``$ls /storage/sdcard1``

注意：列出内存卡文件和目录不能直接``$ls /sdcard``，这样是无效的。


**2.读取对方的某文件的内容**

``$cat 文件的绝对路径``

例如要读取/system/build.prop这个文件：

``$cat /system/build.prop``

**3.获取对方正在运行的程序**

``$ps``

更多shell命令，请百度关键词“android shell命令”。

### * 子曰内置命令

**1.播放音频文件**

``$play 文件的绝对路径``

例如要播放/sdcard/长城.mp3这个文件：

``$play /sdcard/长城.mp3``

**2.震动**

``$vibrate 时长（毫秒）``

1秒等于1000毫秒，所以如果想让对方手机震动2秒，则：

``$vibrate 2000``

*注：震动时间不能大于100000毫秒，即不能大于100秒

**3.获取对方子曰应用版本**

``$version``

**4.更改个人签名**

``$sign 签名内容``

*注：签名支持使用HTML，签名长度不能大于200个字符

例如设置蓝色字体的签名：

``$sign <font color="blue">我很个性无需签名</font>``

**5.清除消息列表**

``$clear``

**6.导出聊天记录**

导出聊天记录将以超文本方式导出，聊天记录默认导出到外置存储的根目录

``$export 文件名``

例如导出文件名为test.html的文件：

``$export test.html``

**7.利用html自定义发送的字体**

``$html 内容``

例如发送蓝色字体的“你好”：

``$html <font color='blue'>你好</font>``

*即使在设置中关闭接收命令，该命令也可以发送

**8.清除登录信息**

``$clogin``

*清除登录信息在退出软件后生效

**9.获取对方的ip地址及归属地**

``$getip``

####子曰常见问题

1.软件突然变卡，可能原因：

* 对方执行了耗时的命令

2.发命令过去对方没有返回，可能原因：

* 对方不在线了

* 该命令不正确或者该命令没有返回值


3.在设置里设置不接收命令是否就不会执行任何命令？

* 是的

4.“对方切入后台”和“对方回到主界面”是什么意思？

* 切入后台：当子曰的聊天界面被其他界面挡住的时候，例如，对方在使用子曰的过程中回到桌面，你就会收到对方切入后台的提示。

* 回到主界面：对方从其他软件界面回到子曰。

##【更新记录】

**17.4.16.1**

* 更换服务器IP地址，旧版全部失效

**17.4.4.1**

* 修复聊天记录导出失败的Bug

**17.3.10.1**

* 优化命令屏蔽器

**17.2.19.1**

* 加入不匹配机器人选项

* 加入断线重连机制

* 修复sign签名中不能有‘=’的bug

**17.2.11.1**

* 加入获取ip地址getip命令

**17.2.9.1**

* 加入少文本提示选项

* 加入清除登录信息命令：clogin

**17.2.7.1**

* 更改消息为同步接收

* 新支持html签名

* 更改帮助文档的颜色

* 屏蔽adb命令

* 向下兼容到Android4.0

**17.2.6.1**

* 更换服务器

* 加入html命令

* 改进export

* 修改软件界面

* 数据加密

* 加入微信投食入口

* 屏蔽带‘=’字符的命令

**17.1.6.2**

* 修复列表错乱

* 修复对方屏蔽命令提示

* 加入对方回到主界面提示（需要对方安装该版本的子曰）

* 出错时转到机器人聊天

**17.1.6.1**

* 对方切入后台提示（需要对方安装该版本的子曰）

* 对方屏蔽命令提示（需要对方安装该版本的子曰）

* 导出聊天记录

**17.1.5.2**

* 修复安装包冲突的问题

**17.1.5.1**

* 屏蔽am,chmod,cp,curl,dd,grep,kill,mount,pm,run-as,sh,umount,wget等危险命令

* 加入本地终端模拟器


**17.1.4.2**

* 去除不常用的emoji


**17.1.4.1**

* 加入emoji表情

* 修复聊天时有时无法退出的bug

* 加入重新匹配提示框

* 修改最长签名长度为30字符

**17.1.2.2**

* 再次更改匹配算法

* 修复打开设置闪退的bug

* 签名限制在20字符内，如果遇到长签名，快速显示

* 屏蔽eval命令


**17.1.2.1**

* 默认屏蔽命令

* 加入重新匹配

* 更新算法，使匹配更稳定

* 屏蔽busybox,mv命令


**17.1.1.2:**

* 修复闪退

* 加入clear命令


**17.1.1.1:**

* 更改打字效果

* 加入聊天机器人

<h2 id="pay">【投食入口】</h2>

###**1.微信**###


<img src="file:///android_asset/img/webchat_pay.jpg"/>

###**2.支付宝**###

###[【直接点击此处投食】](alipayqr://platformapi/startapp?saId=10000007&clientVersion=3.7.0.0718&qrcode= https://qr.alipay.com/ap3jg6uth85ml1xa56)###

<font color="red"><b>微信二维码使用方法：</b></font>
<font color="red">在本页面截下完整的二维码图片，并保存到手机相册，然后打开微信扫一扫功能，从相册选择该截图就可以付款啦~~~</font>


<h2 id="donate">【捐赠者名单】</h2>

###注：捐款金额小于1元的用户将不列出###

* 蛤丝

* 林荫

* 农开祺

* 咖啡十点半

* 宫水三葉

* Wiliam.Ding

* 黄大烁

* NumHo

* 浩

* 海东

* 晨萱

* 人帅被人骑

* vertigo

* 虚幻与现实之里

* 入夜秋叶

* 冰冻之心

* 穗苹

* 酸奶貓

* 北城以南

* 皇上您这是喜脉啊

* Sinn

* minddcruise

* 架纯

* 鹿音。

* 金华

* 爸爸

* 再见亦是泪

* 兜兜

* 初中二年级小学生

* 断念

* T12

* 女子盟

* 神迹

* 35.4度的乙醚和100度的水

* 越南大祭司

* Bill Chen

* 多汁牧草

* 平平淡淡的生活

* wbbbbbf

* Altlantis

* 丘时

* 安在旭

* lsy

* 冯某人

* 邵龙

* 娟

* 九孤°

* 冰冷灬喧闹

* 卷毛乐仔

* 王璐

* cookie小饼干

* _Tu_devines

* 易言